<?php
/**
* リソースを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IResource
{
	/*
	 * リソース名
	 */
	public function getResourceName();

	/*
	 * リソースを初期化する
	 */
	public function init( Config $config );

	/*
	 * キャッシュ可能か（boolean）を取得
	 */
	public function isCacheable();

	/*
	 * データを取得
	 */
	public function getData( ProcedureContext $context );
}
